<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Apr 13 15:28:25 EEST 2020 -->
<title>FileParser</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileParser";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">presentation</a></div>
<h2 title="Class FileParser" class="title">Class FileParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>presentation.FileParser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">FileParser</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nr">nr</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nr1">nr1</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nr2">nr2</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,bll.ClientBLL,bll.OrderBLL,bll.OrderItemBLL,bll.ProductBLL)">FileParser</a></span>&#8203;(java.lang.String&nbsp;file,
          <a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a>&nbsp;c,
          <a href="../bll/OrderBLL.html" title="class in bll">OrderBLL</a>&nbsp;o,
          <a href="../bll/OrderItemBLL.html" title="class in bll">OrderItemBLL</a>&nbsp;i,
          <a href="../bll/ProductBLL.html" title="class in bll">ProductBLL</a>&nbsp;p)</code></th>
<td class="colLast">
<div class="block">Constructorul clasei FileParser</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createReportClient()">createReportClient</a></span>()</code></th>
<td class="colLast">
<div class="block">Se genereaza pdf-ul ce contine un tabel cu clientii din baza de date, 
 de la momentul respectiv.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createReportOrder()">createReportOrder</a></span>()</code></th>
<td class="colLast">
<div class="block">Se genereaza pdf-ul ce contine un tabel cu comenzile din baza de date, 
 de la momentul respectiv.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createReportProduct()">createReportProduct</a></span>()</code></th>
<td class="colLast">
<div class="block">Se genereaza pdf-ul ce contine un tabel cu produsele din baza de date, 
 de la momentul respectiv.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteClientCommand(java.util.ArrayList)">deleteClientCommand</a></span>&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</code></th>
<td class="colLast">
<div class="block">Sterge un client din baza de date, apeland metoda "selectByName" pentru extragerea Clientului
 din baza de date, si "deleteClient" pentru stergerea lui</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteProductCommand(java.util.ArrayList)">deleteProductCommand</a></span>&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</code></th>
<td class="colLast">
<div class="block">Sterge un client din baza de date, apeland metoda "selectByName" pentru extragerea produsului
 din baza de date, si "deleteProduct" pentru stergerea lui</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#executeCommands()">executeCommands</a></span>()</code></th>
<td class="colLast">
<div class="block">Se determina pentru ficare linie citita din fisierul cu comenzi ce operatie
 sa se execute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insertClientCommand(java.util.ArrayList)">insertClientCommand</a></span>&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</code></th>
<td class="colLast">
<div class="block">Insereaza un client in baza de date, apeland metoda de insertClient din clasa ClientBLL
 Datele clientului se iau din lista "line"</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insertProductCommand(java.util.ArrayList)">insertProductCommand</a></span>&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</code></th>
<td class="colLast">
<div class="block">Insereaza un produs in baza de date, apeland metoda insertProduct din clasa ProductBLL
 Datele produsului sunt extrase din lista "line"</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderCommand(java.util.ArrayList)">orderCommand</a></span>&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</code></th>
<td class="colLast">
<div class="block">Se introduc datele corespunzatoare comenzii date in baza de date, atat in order 
 cat si in orderItem.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.util.ArrayList&lt;java.lang.String&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#readCommands()">readCommands</a></span>()</code></th>
<td class="colLast">
<div class="block">Citeste din fisier linie cu linie, apoi cuvant cu cuvant</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="nr">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nr</h4>
<pre>public static&nbsp;int nr</pre>
</li>
</ul>
<a id="nr1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nr1</h4>
<pre>public static&nbsp;int nr1</pre>
</li>
</ul>
<a id="nr2">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nr2</h4>
<pre>public static&nbsp;int nr2</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String,bll.ClientBLL,bll.OrderBLL,bll.OrderItemBLL,bll.ProductBLL)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileParser</h4>
<pre>public&nbsp;FileParser&#8203;(java.lang.String&nbsp;file,
                  <a href="../bll/ClientBLL.html" title="class in bll">ClientBLL</a>&nbsp;c,
                  <a href="../bll/OrderBLL.html" title="class in bll">OrderBLL</a>&nbsp;o,
                  <a href="../bll/OrderItemBLL.html" title="class in bll">OrderItemBLL</a>&nbsp;i,
                  <a href="../bll/ProductBLL.html" title="class in bll">ProductBLL</a>&nbsp;p)</pre>
<div class="block">Constructorul clasei FileParser</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - - fisierul din care se citeste</dd>
<dd><code>c</code> - - obiectul de tip ClientBLL, folosit pentru operatiile pe baza de date</dd>
<dd><code>o</code> - - obiectul de tip OrderBLL, folosit pentru operatiile pe baza de date</dd>
<dd><code>i</code> - -  obiectul de tip OrderItemBLL, folosit pentru operatiile pe baza de date</dd>
<dd><code>p</code> - -  obiectul de tip ClientBLL, folosit pentru operatiile pe baza de date</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="readCommands()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readCommands</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.util.ArrayList&lt;java.lang.String&gt;&gt;&nbsp;readCommands()</pre>
<div class="block">Citeste din fisier linie cu linie, apoi cuvant cu cuvant</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>O lista de linii , fiecare linie fiind o lista de cuvinte</dd>
</dl>
</li>
</ul>
<a id="insertClientCommand(java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertClientCommand</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;insertClientCommand&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</pre>
<div class="block">Insereaza un client in baza de date, apeland metoda de insertClient din clasa ClientBLL
 Datele clientului se iau din lista "line"</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>line</code> - - lista de cuvinte din linia corespunzatoare comenzii de insert client</dd>
</dl>
</li>
</ul>
<a id="insertProductCommand(java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertProductCommand</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;insertProductCommand&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</pre>
<div class="block">Insereaza un produs in baza de date, apeland metoda insertProduct din clasa ProductBLL
 Datele produsului sunt extrase din lista "line"</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>line</code> - - lista de cuvinte din linia corespunzatoare comenzii de insert product</dd>
</dl>
</li>
</ul>
<a id="deleteClientCommand(java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteClientCommand</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deleteClientCommand&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</pre>
<div class="block">Sterge un client din baza de date, apeland metoda "selectByName" pentru extragerea Clientului
 din baza de date, si "deleteClient" pentru stergerea lui</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>line</code> - - lista de cuvinte din linia corespunzatoare comenzii de delete client</dd>
</dl>
</li>
</ul>
<a id="deleteProductCommand(java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteProductCommand</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deleteProductCommand&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</pre>
<div class="block">Sterge un client din baza de date, apeland metoda "selectByName" pentru extragerea produsului
 din baza de date, si "deleteProduct" pentru stergerea lui</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>line</code> - - lista de cuvinte din linia corespunzatoare comenzii de delete product</dd>
</dl>
</li>
</ul>
<a id="orderCommand(java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orderCommand</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;orderCommand&#8203;(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;line)</pre>
<div class="block">Se introduc datele corespunzatoare comenzii date in baza de date, atat in order 
 cat si in orderItem. Se verifica mai intai existenta clientului , mai apoi cea a produsului.
 In cazul in care nu exista se genereaza un pdf cu mesajul erorii.
 Daca se comanda mai multe produse decat sunt pe stoc atunci se genereaza
 un pdf cu un mesaj corespunzator.
 Daca nu exista probleme, se genereaza o chitanta pentru client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>line</code> - - lista de cuvinte din linia corespunzatoare comenzii de order</dd>
</dl>
</li>
</ul>
<a id="createReportClient()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createReportClient</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;createReportClient()</pre>
<div class="block">Se genereaza pdf-ul ce contine un tabel cu clientii din baza de date, 
 de la momentul respectiv. Fiecare pdf va avea la final un numar, 
 ce reprezinta al catelea raport este ( incepand de la 0).</div>
</li>
</ul>
<a id="createReportProduct()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createReportProduct</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;createReportProduct()</pre>
<div class="block">Se genereaza pdf-ul ce contine un tabel cu produsele din baza de date, 
 de la momentul respectiv. Fiecare pdf va avea la final un numar, 
 ce reprezinta al catelea raport este ( incepand de la 0).</div>
</li>
</ul>
<a id="createReportOrder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createReportOrder</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;createReportOrder()</pre>
<div class="block">Se genereaza pdf-ul ce contine un tabel cu comenzile din baza de date, 
 de la momentul respectiv. Fiecare pdf va avea la final un numar,</div>
</li>
</ul>
<a id="executeCommands()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>executeCommands</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;executeCommands()</pre>
<div class="block">Se determina pentru ficare linie citita din fisierul cu comenzi ce operatie
 sa se execute.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
